<?php
abstract class Cbc_WpModule_Controller_Abstract_Generic
{        
    protected $_view;
    protected $_viewScript;
    protected $_layoutScript;
    
    public final function __construct()
    {       
        //Init view engine
        require_once(CBC_WPMODULE_PATH . '/views/' . 'Engine.php');
        $this->_view = new Cbc_WpModule_View_Engine(CBC_WPMODULE_PATH . '/views/scripts');
        
        $this->init();
    }
    
    public function init()
    {       
    }
    
    public function preDispatch(&$action)
    {
    }
    
    public function postDispatch($action)
    {
    }
    
    //
    // Accessors
    //
    
    public function getView()
    {
        return $this->_view;
    }
    
    public function getLayoutScript()
    {
        return $this->_layoutScript;
    }
    
    public function setViewScript($value)
    {
        $this->_viewScript = $value;
    }
    
    public function getViewScript()
    {
        return $this->_viewScript;
    }
}