<?php
class Cbc_WpModule_Model_Options
{
    const OPTION_PREFIX = 'cbc_';

    public function getOption($name, $default=NULL)
    {
        $result = get_option(self::OPTION_PREFIX . $name);
        if (FALSE === $result) {
            $result = $default;
        }

        return $result;
    }

    public function setOption($name, $value)
    {
        return update_option(self::OPTION_PREFIX . $name, $value);
    }

    public function unsetOption($name)
    {
        return delete_option(self::OPTION_PREFIX . $name);
    }
}
