<?php
class Cbc_WpModule_Model_VirtualMeta
{
    protected $_outputCache = array();

    public function getValue($key, $vars)
    {
        $template = Cbc_WpModule_Application::getModel('Template');

        switch ($key) {
            case 'thumbnail':
                return $template->getThumbnail($vars);
            case 'thumbnail_url':
                $result = $template->getThumbnail($vars);
                return isset($result['url'])? $result['url'] : NULL;
            case 'affiliate_url':
                return $template->getAffiliateUrl($vars);
            default:
                return NULL;
        }
    }
}